> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Following

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">1 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I want to make an API call to https://api.keyapi.ai/v1/twitter/following.

Please help me write code to make this API call and handle the response appropriately. Include error handling and best practices.

Here are the details:

Endpoint: GET https://api.keyapi.ai/v1/twitter/following

Description: Following

Required Headers:
--header 'Authorization: Bearer <YOUR_API_KEY>'

Parameters:
- screenname (Required): . Example: elonmusk
- rest_id (Optional): Optional parameter that overwrites the screename. Screename could be a random string if this user id is passed.. Example: 44196397
- cursor (Optional): 

Example Response:
{
"code": 0,
"message": "success",
"data": {
"following": [
  {
    "user_id": "95092020",
    "screen_name": "jordanbpeterson",
    "description": "Best-Selling Author | Clinical Psychologist | #1 Education Podcast | Co-founder of @petersonacademy | Order my new book \"We Who Wrestle With God\" here:",
    "profile_image": "https://pbs.twimg.com/profile_images/1407056014776614923/TKBC60e1_normal.jpg",
    "statuses_count": 51533,
    "followers_count": 6182024,
    "friends_count": 1654,
    "website": "http://jordanbpeterson.com/books",
    "media_count": 7370,
    "name": "Dr Jordan B Peterson",
    "created_at": "Sun Dec 06 23:33:02 +0000 2009"
  },
  {
    "user_id": "39344374",
    "screen_name": "DonaldJTrumpJr",
    "description": "Co-Founder @worldlibertyfi",
    "profile_image": "https://pbs.twimg.com/profile_images/766652495858896897/LjrJJB9a_normal.jpg",
    "statuses_count": 52288,
    "followers_count": 16255288,
    "friends_count": 2327,
    "website": "https://linktr.ee/donaldjtrumpjr",
    "media_count": 3462,
    "name": "Donald Trump Jr.",
    "created_at": "Mon May 11 21:18:33 +0000 2009"
  },
  {
    "user_id": "18584875",
    "screen_name": "hodgetwins",
    "description": "Merch & Giveaways at: https://t.co/kxb8qjHatu —— PODCAST: @hodgetwinspod",
    "profile_image": "https://pbs.twimg.com/profile_images/2029992352232919040/UquWwHmh_normal.jpg",
    "statuses_count": 65421,
    "followers_count": 3513664,
    "friends_count": 3636,
    "website": "https://officialhodgetwins.com",
    "media_count": 4035,
    "name": "Hodgetwins",
    "created_at": "Sat Jan 03 19:24:16 +0000 2009"
  },
  {
    "user_id": "4914384040",
    "screen_name": "TheBabylonBee",
    "description": "Fake news you can trust 🐝",
    "profile_image": "https://pbs.twimg.com/profile_images/14
... (truncated)`)}
    >
      <span>✨</span>
      <span>Copy for AI</span>
    </button>
  </div>
</div>


## OpenAPI

````yaml en/twitter.openapi.json GET /v1/twitter/following
openapi: 3.0.1
info:
  title: Twitter/X API english documentation
  description: >-
    The english reference documentation of the Twitter/X API includes the
    interface's purpose, parameter description, response status, and sample
    structure.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Twitter/X
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/twitter/following:
    get:
      tags: []
      summary: Following
      parameters:
        - name: screenname
          in: query
          description: ''
          required: true
          example: elonmusk
          schema:
            type: string
            example: elonmusk
        - name: rest_id
          in: query
          description: >-
            Optional parameter that overwrites the screename. Screename could be
            a random string if this user id is passed.
          required: false
          example: '44196397'
          schema:
            type: string
            example: '44196397'
        - name: cursor
          in: query
          description: ''
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data:
                  following:
                    - user_id: '95092020'
                      screen_name: jordanbpeterson
                      description: >-
                        Best-Selling Author | Clinical Psychologist | #1
                        Education Podcast | Co-founder of @petersonacademy |
                        Order my new book "We Who Wrestle With God" here:
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1407056014776614923/TKBC60e1_normal.jpg
                      statuses_count: 51533
                      followers_count: 6182024
                      friends_count: 1654
                      website: http://jordanbpeterson.com/books
                      media_count: 7370
                      name: Dr Jordan B Peterson
                      created_at: Sun Dec 06 23:33:02 +0000 2009
                    - user_id: '39344374'
                      screen_name: DonaldJTrumpJr
                      description: Co-Founder @worldlibertyfi
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/766652495858896897/LjrJJB9a_normal.jpg
                      statuses_count: 52288
                      followers_count: 16255288
                      friends_count: 2327
                      website: https://linktr.ee/donaldjtrumpjr
                      media_count: 3462
                      name: Donald Trump Jr.
                      created_at: Mon May 11 21:18:33 +0000 2009
                    - user_id: '18584875'
                      screen_name: hodgetwins
                      description: >-
                        Merch & Giveaways at: https://t.co/kxb8qjHatu ——
                        PODCAST: @hodgetwinspod
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2029992352232919040/UquWwHmh_normal.jpg
                      statuses_count: 65421
                      followers_count: 3513664
                      friends_count: 3636
                      website: https://officialhodgetwins.com
                      media_count: 4035
                      name: Hodgetwins
                      created_at: Sat Jan 03 19:24:16 +0000 2009
                    - user_id: '4914384040'
                      screen_name: TheBabylonBee
                      description: Fake news you can trust 🐝
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1400100770624720898/-HC7kL5x_normal.jpg
                      statuses_count: 35984
                      followers_count: 5264065
                      friends_count: 8
                      website: https://linktr.ee/babylonbee
                      media_count: 18705
                      name: The Babylon Bee
                      created_at: Mon Feb 15 16:05:21 +0000 2016
                    - user_id: '232901331'
                      screen_name: dbongino
                      description: Just here for the comments.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1901949643828625408/cIoDpRVb_normal.jpg
                      statuses_count: 52646
                      followers_count: 7479495
                      friends_count: 2549
                      website: http://www.bongino.com
                      media_count: 1914
                      name: Dan Bongino
                      created_at: Sat Jan 01 17:50:03 +0000 2011
                    - user_id: '427089628'
                      screen_name: lexfridman
                      description: |-
                        Host of Lex Fridman Podcast.
                        Interested in robots and humans.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1854713863817646088/nTmsz7jR_normal.jpg
                      statuses_count: 4000
                      followers_count: 4813722
                      friends_count: 687
                      website: https://youtube.com/lexfridman
                      media_count: 1247
                      name: Lex Fridman
                      created_at: Sat Dec 03 03:06:19 +0000 2011
                    - user_id: '1201670995435646976'
                      screen_name: laurenboebert
                      description: >-
                        Lauren Boebert for Congress: CO-04 Congresswoman, Mom &
                        Gigi with a fierce love for liberty. Sent to DRAIN THE
                        SWAMP drier than a CO irrigation ditch in July.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1498803395578236934/vGGuE9-k_normal.jpg
                      statuses_count: 11401
                      followers_count: 5168575
                      friends_count: 1960
                      website: >-
                        https://secure.winred.com/lauren-boebert-for-congress/tw23
                      media_count: 1211
                      name: Lauren Boebert
                      created_at: Tue Dec 03 01:14:36 +0000 2019
                    - user_id: '91882544'
                      screen_name: DineshDSouza
                      description: >-
                        Author, Filmmaker, Host of Dinesh Podcast. Read my
                        investigative work on Substack:  
                        https://t.co/e9jgDYkZ6c
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1969139625995497472/oIr7LrHF_normal.jpg
                      statuses_count: 176080
                      followers_count: 5457757
                      friends_count: 10426
                      website: https://youtube.com/@dineshdsouza?si=2pDycK2dEDCTtm25
                      media_count: 16821
                      name: Dinesh D'Souza
                      created_at: Sun Nov 22 22:32:41 +0000 2009
                    - user_id: '1344356576786866176'
                      screen_name: FmrRepMTG
                      description: >-
                        Christian, Mother, Business Owner, and Former
                        Congresswoman of Georgia’s 14th District |AMERICA FIRST
                        AMERICA ONLY 🇺🇸
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1867641239685713920/7jTW4Eag_normal.jpg
                      statuses_count: 9958
                      followers_count: 5444552
                      friends_count: 929
                      website: null
                      media_count: 3086
                      name: Former Congresswoman Marjorie Taylor Greene🇺🇸
                      created_at: Wed Dec 30 18:57:01 +0000 2020
                    - user_id: '17995040'
                      screen_name: benshapiro
                      description: >-
                        Daily Wire co-founder, host of @benshapiroshow, #1 NYT
                        bestselling author, America’s #1 ex-rapper. Order my new
                        book, Lions and Scavengers below
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1791135695567740928/nrRmsfkZ_normal.jpg
                      statuses_count: 204529
                      followers_count: 8517435
                      friends_count: 500
                      website: https://a.co/d/3AyvDBX
                      media_count: 8684
                      name: Ben Shapiro
                      created_at: Tue Dec 09 16:40:22 +0000 2008
                    - user_id: '34743251'
                      screen_name: SpaceX
                      description: >-
                        SpaceX designs, manufactures and launches the world’s
                        most advanced rockets and spacecraft
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1697749409851985920/HbrI04tM_normal.jpg
                      statuses_count: 11299
                      followers_count: 41661465
                      friends_count: 123
                      website: http://spacex.com
                      media_count: 4429
                      name: SpaceX
                      created_at: Thu Apr 23 21:53:30 +0000 2009
                    - user_id: '216881337'
                      screen_name: RandPaul
                      description: >-
                        U.S. Senator for Kentucky | I fight for the
                        Constitution, individual liberty and the freedoms that
                        make this country great.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/681152691461042177/_PrgDgFA_normal.jpg
                      statuses_count: 20560
                      followers_count: 5956545
                      friends_count: 811
                      website: http://randpaul.com
                      media_count: 4054
                      name: Rand Paul
                      created_at: Wed Nov 17 23:52:35 +0000 2010
                    - user_id: '23022687'
                      screen_name: tedcruz
                      description: >-
                        Father of two, @heidiscruz's husband, fighter for
                        liberty. Representing the great state of Texas in the
                        U.S. Senate.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1798342969218510849/JaIsGsam_normal.jpg
                      statuses_count: 59444
                      followers_count: 7085099
                      friends_count: 5380
                      website: http://Tedcruz.org
                      media_count: 9394
                      name: Ted Cruz
                      created_at: Fri Mar 06 03:20:20 +0000 2009
                    - user_id: '13298072'
                      screen_name: Tesla
                      description: >-
                        Electric vehicles, giant batteries & solar, AI &
                        robotics
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1337607516008501250/6Ggc4S5n_normal.png
                      statuses_count: 10307
                      followers_count: 24795720
                      friends_count: 56
                      website: https://www.tesla.com
                      media_count: 1976
                      name: Tesla
                      created_at: Sun Feb 10 01:12:32 +0000 2008
                    - user_id: '58579942'
                      screen_name: mattgaetz
                      description: Florida Man
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1832034268077338625/v_sJ7qw8_normal.jpg
                      statuses_count: 30761
                      followers_count: 3511529
                      friends_count: 4608
                      website: null
                      media_count: 2230
                      name: Matt Gaetz
                      created_at: Mon Jul 20 20:24:48 +0000 2009
                    - user_id: '26637348'
                      screen_name: TulsiGabbard
                      description: >-
                        Director of National Intelligence. Former Presidential
                        candidate & Congresswoman. Soldier. NYT bestselling
                        author. (Views do not reflect position of USG/DoD)
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1786183993475399680/gdJaqmsJ_normal.jpg
                      statuses_count: 12820
                      followers_count: 3868617
                      friends_count: 1191
                      website: https://linktr.ee/tulsigabbard
                      media_count: 2376
                      name: Tulsi Gabbard 🌺
                      created_at: Thu Mar 26 00:14:32 +0000 2009
                    - user_id: '19739126'
                      screen_name: SpeakerMcCarthy
                      description: 55th Speaker of the House
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1613262093800677376/r3bwUusR_normal.jpg
                      statuses_count: 23521
                      followers_count: 3126234
                      friends_count: 1479
                      website: null
                      media_count: 3779
                      name: Kevin McCarthy
                      created_at: Thu Jan 29 22:28:48 +0000 2009
                    - user_id: '4081106480'
                      screen_name: realDailyWire
                      description: Official X account of The Daily Wire.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1938258418332008448/0cXQdMaz_normal.jpg
                      statuses_count: 199649
                      followers_count: 2574864
                      friends_count: 1678
                      website: http://www.dailywire.com
                      media_count: 100287
                      name: Daily Wire
                      created_at: Sat Oct 31 15:42:25 +0000 2015
                    - user_id: '1342989756611907584'
                      screen_name: RepBoebert
                      description: >-
                        Congresswoman for Colorado's 4th District • Co-Chair #2A
                        Caucus • Member of the House @FreedomCaucus • Member of
                        @GOPOversight & @NatResources 🇺🇸
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1838308580195184640/Jf6Oh6wf_normal.jpg
                      statuses_count: 3250
                      followers_count: 1503025
                      friends_count: 575
                      website: http://boebert.house.gov
                      media_count: 1027
                      name: Rep. Lauren Boebert
                      created_at: Sun Dec 27 00:24:52 +0000 2020
                    - user_id: '41634520'
                      screen_name: seanhannity
                      description: >-
                        Hang Out w/Hannity https://t.co/9wzGXDc2bZ | TV Host Fox
                        News Channel 9 PM EST. Nationally Syndicated Radio Host
                        3-6 PM EST.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1862487402163433472/Ccr7C3Lh_normal.jpg
                      statuses_count: 38122
                      followers_count: 7814505
                      friends_count: 15
                      website: https://hannity.com
                      media_count: 3284
                      name: Sean Hannity 🇺🇸
                      created_at: Thu May 21 17:41:12 +0000 2009
                    - user_id: '463135269'
                      screen_name: StatlerLasVegas
                      description: ''
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2270582687/image_normal.jpg
                      statuses_count: 121
                      followers_count: 204
                      friends_count: 730
                      website: null
                      media_count: 2
                      name: JRM
                      created_at: Fri Jan 13 19:23:02 +0000 2012
                    - user_id: '1598444521918021632'
                      screen_name: ARK_Funds
                      description: >-
                        Investment products focused solely on #disruptive
                        #innovation by @ARKInvest.


                        ETF Disclosure: https://t.co/3WeTSFPkon

                        Venture Fund Disclosure: https://t.co/dE4DyNEY6h
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1603104737511018496/xsSFpA7Z_normal.jpg
                      statuses_count: 1051
                      followers_count: 23107
                      friends_count: 189
                      website: https://linktr.ee/arkfunds
                      media_count: 380
                      name: ARK Funds
                      created_at: Thu Dec 01 22:31:46 +0000 2022
                    - user_id: '968053955845484545'
                      screen_name: _sholtodouglas
                      description: >-
                        Scaling RL @AnthropicAI, ex @DeepMind - working towards
                        intelligence too cheap to meter
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2003274349906919424/GyoVg0kX_normal.jpg
                      statuses_count: 859
                      followers_count: 41034
                      friends_count: 1763
                      website: null
                      media_count: 57
                      name: Sholto Douglas
                      created_at: Mon Feb 26 09:23:43 +0000 2018
                    - user_id: '27357824'
                      screen_name: ChrisWillx
                      description: Dialled
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1612136768194625536/7HdwNsOD_normal.jpg
                      statuses_count: 37136
                      followers_count: 416243
                      friends_count: 111
                      website: https://chriswillx.com/modernwisdom
                      media_count: 4360
                      name: Chris Williamson
                      created_at: Sun Mar 29 02:00:46 +0000 2009
                    - user_id: '10926202'
                      screen_name: adamcarolla
                      description: >-
                        Host of the @AdamCarollaShow on @PodcastOne. Three time
                        @NYTimes best selling author.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1486913589751402499/JTn7MRT4_normal.jpg
                      statuses_count: 50465
                      followers_count: 995467
                      friends_count: 453
                      website: https://linktr.ee/AdamCarolla
                      media_count: 1572
                      name: Adam Carolla
                      created_at: Fri Dec 07 04:14:37 +0000 2007
                    - user_id: '1535440467076186114'
                      screen_name: hutdesigns
                      description: >-
                        Curated Hones - For Interior content - @INTERIORBYHUT
                        (DM for Credit/ removals) Stay at Casa Zenta in Costa
                        Rica - By @ Hut 👇
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1824499902765760512/sWRZFsVs_normal.jpg
                      statuses_count: 2985
                      followers_count: 378365
                      friends_count: 8
                      website: >-
                        https://www.airbnb.com/rooms/1092817293606130748?source_impression_id=p3_1708116666_HA6IbyUorbUtzeoC
                      media_count: 2885
                      name: HOUSE LOVERS
                      created_at: Sat Jun 11 01:55:25 +0000 2022
                    - user_id: '905399486'
                      screen_name: jekbradbury
                      description: >-
                        Compute at @AnthropicAI! Previously JAX, TPUs, and LLMs
                        at Google, MetaMind/@SFResearch, @Stanford Linguistics,
                        @Caixin.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/680634268129849344/Hz2wZ2v7_normal.jpg
                      statuses_count: 65295
                      followers_count: 15979
                      friends_count: 9297
                      website: null
                      media_count: 144
                      name: James Bradbury
                      created_at: Fri Oct 26 06:07:25 +0000 2012
                    - user_id: '14914884'
                      screen_name: crazybuster
                      description: Frame breaker
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1719582670697725952/iiazFitK_normal.jpg
                      statuses_count: 2
                      followers_count: 596
                      friends_count: 11
                      website: null
                      media_count: 0
                      name: crazybuster
                      created_at: Tue May 27 00:24:14 +0000 2008
                    - user_id: '2041184913311797248'
                      screen_name: SusieWiles47
                      description: >-
                        Chief of Staff to 47th President Donald J. Trump.
                        Personal: @SusieWiles
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2054310486171156480/8KnSbX5N_normal.jpg
                      statuses_count: 4
                      followers_count: 348884
                      friends_count: 25
                      website: null
                      media_count: 2
                      name: Susie Wiles
                      created_at: Mon Apr 06 16:05:08 +0000 2026
                    - user_id: '1087640384975577089'
                      screen_name: ns123abc
                      description: |-
                        non technical member of technical staff

                        I am covering full Musk v. Altman trial minute by minute
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2048822563821035520/7nxCFEnk_normal.jpg
                      statuses_count: 29771
                      followers_count: 67364
                      friends_count: 7228
                      website: https://grokipedia.com/page/ns123abc
                      media_count: 5949
                      name: NIK
                      created_at: Tue Jan 22 09:17:29 +0000 2019
                    - user_id: '340613443'
                      screen_name: RonanFarrow
                      description: >-
                        Pulitzer-winning investigative journo @newyorker.
                        Documentaries @hbo. Ex-diplomat. Bad lawyer. Disused
                        PhD. Tips: ronan_farrow@newyorker.com.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1515433189375987715/L6_IRSHH_normal.jpg
                      statuses_count: 2614
                      followers_count: 975921
                      friends_count: 5097
                      website: >-
                        https://www.newyorker.com/magazine/2026/04/13/sam-altman-may-control-our-future-can-he-be-trusted
                      media_count: 268
                      name: Ronan Farrow
                      created_at: Sat Jul 23 00:15:26 +0000 2011
                    - user_id: '816775'
                      screen_name: mattsgarman
                      description: CEO at AWS.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2048915707241656320/y_w36Y6w_normal.jpg
                      statuses_count: 10
                      followers_count: 4259
                      friends_count: 55
                      website: null
                      media_count: 8
                      name: Matt Garman
                      created_at: Wed Mar 07 02:10:07 +0000 2007
                    - user_id: '35199446'
                      screen_name: herandrews
                      description: author @SentinelBooks, site https://t.co/MCWPKMEbtF
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1254132631203127297/t0ANiiqJ_normal.jpg
                      statuses_count: 10735
                      followers_count: 74542
                      friends_count: 7215
                      website: https://herandrews.com
                      media_count: 1975
                      name: Helen Andrews
                      created_at: Sat Apr 25 12:18:23 +0000 2009
                    - user_id: '1034256778114949120'
                      screen_name: yurimilner
                      description: >-
                        Science and Technology Entrepreneur, Investor and
                        Philanthropist.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1036398239954755584/ef1gzaic_normal.jpg
                      statuses_count: 629
                      followers_count: 18423
                      friends_count: 301
                      website: http://www.yurimilner.com
                      media_count: 36
                      name: Yuri Milner
                      created_at: Tue Aug 28 01:50:06 +0000 2018
                    - user_id: '2012653551407808512'
                      screen_name: atmoio
                      description: >-
                        Exploring what AI actually is. Building @shapeworkspace,
                        prev @standardnotes. Talking at https://t.co/814DpgwSzr
                        and https://t.co/vlHyF3gEjn.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2013958491614978048/g2P5K6Gl_normal.jpg
                      statuses_count: 2699
                      followers_count: 60810
                      friends_count: 18
                      website: http://mo.io
                      media_count: 124
                      name: Mo
                      created_at: Sat Jan 17 22:29:41 +0000 2026
                    - user_id: '51590414'
                      screen_name: nottombrown
                      description: Co-founder and Chief Compute Officer @AnthropicAI
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1285266774267555840/LicLFbt3_normal.jpg
                      statuses_count: 521
                      followers_count: 20561
                      friends_count: 554
                      website: null
                      media_count: 57
                      name: Tom Brown
                      created_at: Sat Jun 27 23:31:04 +0000 2009
                    - user_id: '241662924'
                      screen_name: magicsilicon
                      description: >-
                        Silicon technologist. I write about the evolution of the
                        semiconductor industry in the next wave of computing.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2035498470619144192/c2EqVX-X_normal.jpg
                      statuses_count: 10986
                      followers_count: 8124
                      friends_count: 2086
                      website: https://semiconductor.substack.com
                      media_count: 2220
                      name: Pushkar Ranade
                      created_at: Sat Jan 22 20:48:31 +0000 2011
                    - user_id: '2041931701081796609'
                      screen_name: 25Guns_Tesla
                      description: ''
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2043454638985261057/XtHmwcNa_normal.jpg
                      statuses_count: 0
                      followers_count: 5460
                      friends_count: 1
                      website: null
                      media_count: 0
                      name: 25Guns
                      created_at: Wed Apr 08 17:46:44 +0000 2026
                    - user_id: '1910742306820378624'
                      screen_name: DAGToddBlanche
                      description: >-
                        Acting Attorney General serving under the leadership of
                        @POTUS Trump 🇺🇸 DOJ Privacy: https://t.co/g6MEEk6PEp
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1910743140069220352/l4e5hK_n_normal.jpg
                      statuses_count: 323
                      followers_count: 145622
                      friends_count: 31
                      website: http://www.justice.gov
                      media_count: 39
                      name: Acting AG Todd Blanche
                      created_at: Fri Apr 11 17:10:52 +0000 2025
                    - user_id: '71450251'
                      screen_name: jondotvio
                      description: >-
                        Digital artist, designer & director. ⚫️ Multi-planetary
                        Identity Designer®
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1892317811084840961/1AH1vHwS_normal.jpg
                      statuses_count: 954
                      followers_count: 9847
                      friends_count: 334
                      website: https://vioglobal.co
                      media_count: 90
                      name: Jon Vio
                      created_at: Fri Sep 04 04:11:20 +0000 2009
                    - user_id: '2541529680'
                      screen_name: DmitryMartyanov
                      description: ''
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1934650061339971584/PRl0tq0K_normal.jpg
                      statuses_count: 82
                      followers_count: 1216
                      friends_count: 96
                      website: null
                      media_count: 2
                      name: Dmitry Martyanov
                      created_at: Mon Jun 02 13:49:01 +0000 2014
                    - user_id: '159337660'
                      screen_name: bcherny
                      description: Claude Code @anthropicai
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1902044548936953856/J2jeik0t_normal.jpg
                      statuses_count: 1760
                      followers_count: 438976
                      friends_count: 133
                      website: https://borischerny.com
                      media_count: 92
                      name: Boris Cherny
                      created_at: Fri Jun 25 03:08:49 +0000 2010
                    - user_id: '775104300452311041'
                      screen_name: AdaLluch
                      description: >-
                        Just a girl with common sense. Born and raised in
                        Spain.🇪🇸
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2050423913016971264/nhSRNgk1_normal.jpg
                      statuses_count: 3314
                      followers_count: 434962
                      friends_count: 1394
                      website: null
                      media_count: 1478
                      name: Ada Lluch
                      created_at: Sun Sep 11 22:50:40 +0000 2016
                    - user_id: '2021650014305419264'
                      screen_name: PeterM31890
                      description: ''
                      profile_image: >-
                        https://abs.twimg.com/sticky/default_profile_images/default_profile_normal.png
                      statuses_count: 0
                      followers_count: 1346
                      friends_count: 5
                      website: null
                      media_count: 0
                      name: Peter J M Nicholson
                      created_at: Wed Feb 11 18:18:47 +0000 2026
                    - user_id: '2606432720'
                      screen_name: benjitaylor
                      description: >-
                        leading design @x/@xai. prev. head of design @base.
                        founder @family (acq by @aave). tools @dip.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1485350275372048384/FwGgXuTk_normal.png
                      statuses_count: 1265
                      followers_count: 124519
                      friends_count: 443
                      website: https://benji.org
                      media_count: 144
                      name: Benji Taylor
                      created_at: Sun Jul 06 00:44:21 +0000 2014
                    - user_id: '366304362'
                      screen_name: MarkwayneMullin
                      description: >-
                        Christian. Proud husband. Father of 6. MAGA
                        conservative. Follow @SecMullinDHS for cabinet updates.
                        🇺🇸
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1542239910769426436/ktG-jlem_normal.jpg
                      statuses_count: 3096
                      followers_count: 48013
                      friends_count: 596
                      website: null
                      media_count: 703
                      name: Markwayne Mullin
                      created_at: Thu Sep 01 23:10:14 +0000 2011
                    - user_id: '860565621452316672'
                      screen_name: GoogleResearch
                      description: >-
                        Impossible? Let’s see. From algorithms to neuroscience
                        to AI, Google Research strives to progress science,
                        advance society & improve billions of people’s lives.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1929964199956062208/Cv3ZuT1w_normal.jpg
                      statuses_count: 406
                      followers_count: 94157
                      friends_count: 17
                      website: http://research.google
                      media_count: 285
                      name: Google Research
                      created_at: Fri May 05 18:43:27 +0000 2017
                    - user_id: '19069944'
                      screen_name: danWpriestley
                      description: Semi @ Tesla. Perpetually curious
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2037547847122595841/unJDIs6s_normal.jpg
                      statuses_count: 273
                      followers_count: 18154
                      friends_count: 111
                      website: null
                      media_count: 19
                      name: Dan Priestley
                      created_at: Fri Jan 16 15:07:02 +0000 2009
                    - user_id: '2019292645466730499'
                      screen_name: imagine
                      description: Unlock your imagination with Grok Imagine.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2052534548454637569/kypJpfdc_normal.jpg
                      statuses_count: 71
                      followers_count: 59781
                      friends_count: 4
                      website: http://grok.com/download
                      media_count: 43
                      name: Grok Imagine
                      created_at: Thu Feb 05 06:12:18 +0000 2026
                    - user_id: '331865640'
                      screen_name: aaronburnett
                      description: >-
                        Founder, CEO @ Mach33 | Research and Investment in
                        Expansion Technologies
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2049987217477513216/GJx9_LdR_normal.jpg
                      statuses_count: 6862
                      followers_count: 22798
                      friends_count: 577
                      website: https://www.33fg.com/
                      media_count: 693
                      name: Aaron Burnett
                      created_at: Fri Jul 08 20:58:50 +0000 2011
                    - user_id: '18495948'
                      screen_name: roshanthomas
                      description: >-
                        VP Supply Chain at Tesla | Aspire to make a difference,
                        make a dent and leave the world a little better than I
                        found it
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1373308515574374402/S68qGsYi_normal.jpg
                      statuses_count: 3117
                      followers_count: 7137
                      friends_count: 893
                      website: null
                      media_count: 72
                      name: Roshan Thomas
                      created_at: Wed Dec 31 02:17:01 +0000 2008
                    - user_id: '14228090'
                      screen_name: shawngold
                      description: >-
                        CEO @ Pilgrim Soul Creative | CMO of Leading Digital
                        Companies & Best Selling Author on Creative Thinking.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1825539438270926848/D-XtrbpB_normal.jpg
                      statuses_count: 1595
                      followers_count: 3199
                      friends_count: 1239
                      website: http://www.PilgrimSoul.com
                      media_count: 25
                      name: shawn gold
                      created_at: Wed Mar 26 18:04:00 +0000 2008
                    - user_id: '94879539'
                      screen_name: PatrickHeizer
                      description: >-
                        Biomedical engineer, permaculture farmer, Camus scholar,
                        Maryland supremacy, husband, and father.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1660249341859094529/q-DieOiL_normal.jpg
                      statuses_count: 30325
                      followers_count: 12342
                      friends_count: 1143
                      website: https://thecounterpoint.substack.com/
                      media_count: 4221
                      name: Patrick Heizer
                      created_at: Sat Dec 05 22:16:41 +0000 2009
                    - user_id: '3409484043'
                      screen_name: natecavanaugh
                      description: Co-Founder @Special
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2053315198144933889/YaGurHVD_normal.jpg
                      statuses_count: 41
                      followers_count: 11759
                      friends_count: 89
                      website: null
                      media_count: 2
                      name: Nate Cavanaugh
                      created_at: Sun Aug 09 01:29:32 +0000 2015
                    - user_id: '133148364'
                      screen_name: dchaplot
                      description: Building superintelligence @xai
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1856228554058629120/ReeoBXBY_normal.jpg
                      statuses_count: 680
                      followers_count: 66801
                      friends_count: 497
                      website: https://devendrachaplot.github.io/
                      media_count: 132
                      name: Devendra Chaplot
                      created_at: Thu Apr 15 03:53:58 +0000 2010
                    - user_id: '15670857'
                      screen_name: mysteriouskat
                      description: >-
                        Writer.  Author. Commentator.

                        BYLINES: Variety, WIRED, Newsweek, WashPost, Guardian
                        Vulture, Skeptic, etc.

                        Come read my Substack: https://t.co/KuFbKgcsim
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1942261551546896384/MIO7pqV__normal.jpg
                      statuses_count: 86661
                      followers_count: 128328
                      friends_count: 493
                      website: https://www.katherinewrites.com/
                      media_count: 4044
                      name: Katherine Brodsky
                      created_at: Thu Jul 31 04:21:59 +0000 2008
                    - user_id: '1936724419894018048'
                      screen_name: NicoleNosek417
                      description: >-
                        Founder & Chair of Texans for Reasonable Solutions
                        @TXReasSolutions. Wife, Mom, Texan. Focusing on Policy
                        and Civ Problems
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1960148480669712384/cEpY21m6_normal.jpg
                      statuses_count: 336
                      followers_count: 1628
                      friends_count: 141
                      website: null
                      media_count: 32
                      name: Nicole Nosek
                      created_at: Sun Jun 22 09:54:37 +0000 2025
                    - user_id: '1982849508393549824'
                      screen_name: CallSignCourage
                      description: >-
                        Documentary "Call Sign Courage" is the story of Lt Col
                        Matt Lohmeier, who stood up against cultural Marxism in
                        the military. Streaming presented by @Heritage
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1983212614214631424/jzkyaMeX_normal.jpg
                      statuses_count: 310
                      followers_count: 5632
                      friends_count: 127
                      website: http://www.callsigncourage.com
                      media_count: 30
                      name: Call Sign Courage
                      created_at: Mon Oct 27 16:39:10 +0000 2025
                    - user_id: '2031052656601669632'
                      screen_name: LukeNosek
                      description: ''
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/2031054882950754306/1DCMtnEr_normal.jpg
                      statuses_count: 0
                      followers_count: 2641
                      friends_count: 1
                      website: null
                      media_count: 0
                      name: Luke Nosek
                      created_at: Mon Mar 09 17:01:16 +0000 2026
                    - user_id: '1023014000'
                      screen_name: TobyPhln
                      description: >-
                        Sleeping. Previously founding team @xAI, engineer
                        @GoogleDeepMind. @RWTH alumnus.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1848762733732253696/S1aucmiu_normal.jpg
                      statuses_count: 922
                      followers_count: 111385
                      friends_count: 607
                      website: null
                      media_count: 103
                      name: Toby Pohlen
                      created_at: Wed Dec 19 22:26:25 +0000 2012
                    - user_id: '1325862778603769856'
                      screen_name: JasonBud
                      description: >-
                        building @xai. fmr @cursor_ai, @NotionMail, founder/CTO
                        @skiffprivacy
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1907218106994286592/aCcU4Kbh_normal.jpg
                      statuses_count: 1495
                      followers_count: 23897
                      friends_count: 1035
                      website: null
                      media_count: 196
                      name: Jason Ginsberg
                      created_at: Mon Nov 09 18:08:23 +0000 2020
                    - user_id: '2867234365'
                      screen_name: milichab
                      description: >-
                        @xai @spacex previously @cursor_ai, former CEO
                        @skiffprivacy (acquired by @notionhq)
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1466472908977487881/-dym5k04_normal.jpg
                      statuses_count: 5587
                      followers_count: 30394
                      friends_count: 1722
                      website: https://github.com/amilich
                      media_count: 188
                      name: Andrew Milich
                      created_at: Mon Oct 20 13:23:55 +0000 2014
                    - user_id: '1038726722'
                      screen_name: kevinnbass
                      description: >-
                        Interested in tech, AI, public health, healthcare —
                        Kicked out of TTU med for truth-telling — I want Texas
                        Tech to tell the truth about what it did
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1947236538409988096/hZXVsMlX_normal.jpg
                      statuses_count: 25128
                      followers_count: 207953
                      friends_count: 2667
                      website: http://kevinbass.substack.com/subscribe
                      media_count: 2142
                      name: Kevin Bass
                      created_at: Thu Dec 27 03:44:47 +0000 2012
                    - user_id: '1082912120'
                      screen_name: MillionInt
                      description: >-
                        CEO and co-founder of Core Automation


                        former VP of RL @ OpenAI : reasoning models, o3, o1,
                        GPT4, ChatGPT, Codex, RL for robots


                        cautious AI optimist
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1184690787419734016/7ija9HDY_normal.jpg
                      statuses_count: 1931
                      followers_count: 37006
                      friends_count: 1129
                      website: http://millionintegrals.com
                      media_count: 145
                      name: Jerry Tworek
                      created_at: Sat Jan 12 13:01:16 +0000 2013
                    - user_id: '1283514442337128454'
                      screen_name: AndrThie
                      description: Giga Berlin
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1788118024618135553/bqycvm9S_normal.jpg
                      statuses_count: 98
                      followers_count: 13329
                      friends_count: 69
                      website: http://www.tesla.com
                      media_count: 15
                      name: André Thierig
                      created_at: Wed Jul 15 21:31:14 +0000 2020
                    - user_id: '1007735221'
                      screen_name: lolpython
                      description: >-
                        currently member of technical staff @xai (prev core
                        technologies @discord) 


                        shitposts are my own and don't represent my past,
                        present or future employers
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/736431162667589632/VBDhJMs1_normal.jpg
                      statuses_count: 996
                      followers_count: 4149
                      friends_count: 247
                      website: http://jake.lol
                      media_count: 70
                      name: Jake
                      created_at: Thu Dec 13 01:26:28 +0000 2012
                    - user_id: '29873662'
                      screen_name: MKBHD
                      description: >-
                        Web Video Producer | ⋈ | Pro Ultimate Frisbee Player |
                        Host of @WVFRM @TheStudio
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1990855181785759745/CP3H7WsL_normal.jpg
                      statuses_count: 56752
                      followers_count: 6131316
                      friends_count: 483
                      website: http://MKBHD.com
                      media_count: 8825
                      name: Marques Brownlee
                      created_at: Thu Apr 09 00:50:00 +0000 2009
                    - user_id: '46426308'
                      screen_name: TareqAmin_
                      description: >-
                        CEO of HUMAIN – building Saudi Arabia’s AI full-stack
                        across infra, cloud, models & apps. Tech leader with 20+
                        yrs in AI, telecom & digital transformation.
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1986704489731006464/S2kMIvBA_normal.jpg
                      statuses_count: 309
                      followers_count: 12890
                      friends_count: 107
                      website: http://www.humain.com
                      media_count: 71
                      name: Tareq Amin
                      created_at: Thu Jun 11 16:34:47 +0000 2009
                    - user_id: '1639167118733357056'
                      screen_name: tesla_korea
                      description: 테슬라 코리아 공식 계정 | Building a World of Amazing Abundance
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1930619255852351489/aEZPSQIS_normal.jpg
                      statuses_count: 791
                      followers_count: 26358
                      friends_count: 43
                      website: http://www.tesla.com/ko_kr
                      media_count: 537
                      name: Tesla Korea
                      created_at: Fri Mar 24 07:28:40 +0000 2023
                    - user_id: '61559439'
                      screen_name: nvidia
                      description: >-
                        The official handle for NVIDIA. Blog:
                        https://t.co/JAn5eKOTBT Support: https://t.co/6ln5FVnA2o
                        All our social media: https://t.co/Uc56dL57Dh
                      profile_image: >-
                        https://pbs.twimg.com/profile_images/1828904711124078593/SRvCZSfQ_normal.jpg
                      statuses_count: 14011
                      followers_count: 2496139
                      friends_count: 48
                      website: https://www.nvidia.com
                      media_count: 3236
                      name: NVIDIA
                      created_at: Thu Jul 30 18:25:14 +0000 2009
                  next_cursor: 1857314883072610096|2054448318045487032
                  status: ok
                  more_users: true
                requestId: 6fe84edf-292d-417c-afe5-211fe9ab9aa7
          headers: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 400
                  data: null
                  message: Missing required parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 401
                  data: null
                  message: apiKey is null
        '402':
          description: Payment Required
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 402
                  data: null
                  message: apiKey quota is not enough
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 429
                  data: null
                  message: qps limit exceeded
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                example:
                  code: 500
                  data: null
                  message: Internal server error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/twitter/following?screenname=elonmusk&rest_id=44196397' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/twitter/following',
                params={"screenname": "elonmusk", "rest_id": "44196397"},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"screenname": "elonmusk",
            "rest_id": "44196397"});


            const response = await
            fetch(`https://api.keyapi.ai/v1/twitter/following?${params}`, {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````